---
title: "Les vecteurs"
weight: 10
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<div id="vecteurs-dobjets-dune-même-classe" class="section level3">
<h3>Vecteurs d’objets d’une même classe</h3>
<pre class="r"><code>x&lt;-c(1,2,3)
y&lt;-c(&#39;a&#39;,&#39;b&#39;,&#39;c&#39;)
z&lt;-c(T,F)
x;y;z;</code></pre>
<pre><code>## [1] 1 2 3</code></pre>
<pre><code>## [1] &quot;a&quot; &quot;b&quot; &quot;c&quot;</code></pre>
<pre><code>## [1]  TRUE FALSE</code></pre>
<pre class="r"><code>class(x)</code></pre>
<pre><code>## [1] &quot;numeric&quot;</code></pre>
<pre class="r"><code>class(y)</code></pre>
<pre><code>## [1] &quot;character&quot;</code></pre>
<pre class="r"><code>class(z)</code></pre>
<pre><code>## [1] &quot;logical&quot;</code></pre>
<pre class="r"><code>length(x)</code></pre>
<pre><code>## [1] 3</code></pre>
<p>La fonction <code>c</code> pour concaténation est très importante.</p>
<pre class="r"><code>x&lt;-c(1,2,3)
c(1,3,x)</code></pre>
<pre><code>## [1] 1 3 1 2 3</code></pre>
</div>
